Overview | Modules | Class Hierarchy | Classes | Members

# GlewManager.h File Reference

`#include <cassert>`
`#include <iostream>`
`#include <GL/glew.h>`
`#include <GL/gl.h>`
`#include <GL/glu.h>`
`#include <tulip/tulipconf.h>`

Include dependency graph for GlewManager.h:

## Namespaces

- namespace tlp

## Classes

- class tlp::GlewManager
    Singleton used to manage Glew. More...

## Defines

- #define BUFFER_OFFSET(bytes) ((GLubyte*) NULL + (bytes))

## Define Documentation

#define BUFFER_OFFSET | ( | bytes |  | ) | ((GLubyte*) NULL + (bytes))

| Author: Morgan Mathiaut Email : mathiaut@labri.fr Last modification : 17/2/2009 This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Tulip Software by LaBRI Visualization Team 2001 - 2010